﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.IO;
namespace QQPY2SGPY
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (this.openFileDialog1.ShowDialog() == DialogResult.OK)
            {
                this.textBox1.Text = openFileDialog1.FileName;
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            StreamReader sr = new StreamReader(this.textBox1.Text, Encoding.Default);
            string newPath = Path.GetDirectoryName(textBox1.Text) + "\\Sougou PY.txt";
            int count = 0;
            StreamWriter sw = new StreamWriter(newPath, false, Encoding.Default);
            while (sr.Peek() > 0)
            {
                string str = sr.ReadLine();
                if (str.IndexOf(',') > 0)
                {
                    str = str.Substring(0, str.IndexOf(','));
                }
                var py = str.Split(' ');
                if (py.Length> 2)
                {
                    string newPy = "'" + py[0] + " " + py[1];
                     sw.WriteLine(newPy);
                     count++;
                }
            }
            sr.Close();
            sw.Close();
            richTextBox1.Text = newPath;
            MessageBox.Show("成功转换"+count+"个词");
        }

        private void button3_Click(object sender, EventArgs e)
        {
            StreamReader sr = new StreamReader(this.textBox1.Text, Encoding.Default);
            string newPath = Path.GetDirectoryName(textBox1.Text) + "\\QQ PY.txt";
            int count = 0;
            StreamWriter sw = new StreamWriter(newPath, false, Encoding.Default);
            while (sr.Peek() > 0)
            {
                string str = sr.ReadLine();
                var py = str.Split(' ');
                if (py.Length == 2)
                {
                    string newPy =  py[0].Substring(1) + " " + py[1]+" 1";
                    sw.WriteLine(newPy);
                    count++;
                }
            }
            sr.Close();
            sw.Close();
            richTextBox1.Text = newPath;
            MessageBox.Show("成功转换" + count + "个词");
        }

        private void button4_Click(object sender, EventArgs e)
        {
            StreamReader sr = new StreamReader(this.textBox1.Text, Encoding.Default);
            string newPath = Path.GetDirectoryName(textBox1.Text) + "\\Baidu PY.txt";
            int count = 0;
            StreamWriter sw = new StreamWriter(newPath, false, Encoding.Unicode);
            while (sr.Peek() > 0)
            {
                string str = sr.ReadLine();
                var py = str.Split(' ');
                if (py.Length == 2)
                {
                    string wzPy = py[0].Substring(1);
                    string newPy = py[1] + " " + wzPy+  " 20000";
                    string[] pyList = wzPy.Split('\'');
                    if (pyList.Length == 1)
                    {
                        continue;
                    }
                    if (pyList.Length >= numericUpDown1.Value)
                    {
                        richTextBox1.AppendText(str+"\r\n");
                        continue;
                    }
                    sw.WriteLine(newPy.Replace('\'','|'));
                    count++;
                }
            }
            sr.Close();
            sw.Close();
            //richTextBox1.Text = newPath;
            MessageBox.Show("成功转换" + count + "个词,路径：" + newPath);
        }

        private void button5_Click(object sender, EventArgs e)
        {
            StreamReader sr = new StreamReader(this.textBox1.Text, Encoding.Default);
            string newPath = Path.GetDirectoryName(textBox1.Text) + "\\Baidu PY.txt";
            int count = 0;
            StreamWriter sw = new StreamWriter(newPath, false, Encoding.Unicode);
            while (sr.Peek() > 0)
            {
                string str = sr.ReadLine();
                if (str.IndexOf(',') > 0)
                {
                    str = str.Substring(0, str.IndexOf(','));
                }
                var py = str.Split(' ');
                if (py.Length > 2)
                {
                    string wzPy = py[0].Substring(1);
                    string newPy = py[1] + " " + wzPy + " 20000";
                    string[] pyList = wzPy.Split('\'');
                    if (pyList.Length == 1)
                    {
                        continue;
                    }
                    if (Convert.ToInt32(py[2]) < numericUpDown2.Value)
                    {
                        richTextBox1.AppendText(str + "\r\n");
                        continue;
                    }
                    if (pyList.Length >= numericUpDown1.Value)
                    {
                        richTextBox1.AppendText(str + "\r\n");
                        continue;
                    }
                    sw.WriteLine(newPy.Replace('\'', '|'));
                    count++;
                }
            }
            sr.Close();
            sw.Close();
            //richTextBox1.Text = newPath;
            MessageBox.Show("成功转换" + count + "个词，路径：" + newPath);
        }
    }
}
